
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wcs_base_plcpoint")]
    public class BasePlcpoint
    {

        [Key]
        [Column("id")]
        public long? id { get; set; }

        /// <summary>
        /// plc点位编码
        /// </summary>
        [Column("plcpoint_no")]
        public string plcpointNo { get; set; }

        /// <summary>
        /// plc点位编名称
        /// </summary>
        [Column("plcpoint_name")]
        public string plcpointName { get; set; }

        /// <summary>
        /// 点位长度
        /// </summary>
        [Column("plcpoint_length")]
        public int? plcpointLength { get; set; }

        /// <summary>
        /// 点位地址
        /// </summary>
        [Column("plcpoint_address")]
        public string plcpointAddress { get; set; }

        /// <summary>
        /// 设备id
        /// </summary>
        [Column("equipment_id")]
        public long? equipmentId { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        [Column("equipment_no")]
        public string equipmentNo { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        [Column("equipment_name")]
        public string equipmentName { get; set; }

        /// <summary>
        /// plc点位数据类型
        /// </summary>
        [Column("plcpoint_type")]
        public int? plcpointType { get; set; }

        /// <summary>
        /// 站点id
        /// </summary>
        [Column("sitenode_id")]
        public long? sitenodeId { get; set; }

        /// <summary>
        /// 所属楼层
        /// </summary>
        [Column("floor_no")]
        public int? floorNo { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

